# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# Copyright 2013 Canonical
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.


class SimplePage(object):
    """An emulator class that makes it easy to interact with the call panel."""
    def __init__(self, app):
        self.app = app

    def get_button(self, text):
        return self.app.select_single('KeyboardButton', text=text)

    def get_formula_label(self):
        return self.app.select_single('CalcLabel', isLast=True)

    def get_screen(self):
        return self.app.select_many("Screen")[0]
